@echo off
rem Change this to your GOLang installation
path=path;"C:\Go\bin"

rem Get the IP on the IO window on the scope
set IpAddress=192.168.0.101

rem TESTED on DHO804: RLU BW7T10
rem For DHO914, probably: BODE BW15T25
set options=RLU BW7T10

rem Change this to DHO9 if your scope is from DHO900 series 
set scopeID=DHO8

rem don't change the port
set AdbPort=55555

rem Don't change the formatCmd for the DHO800-900 series
set formatCmd=:SYSTem:OPTion:INSTall

call "adb\01 adb connect.bat" %IpAndPort%

cd "%~dp0"

echo.
echo Here you can find all *.lic files of options already installed:
call "adb\04 list rigol-data dir.bat"
echo.

cd "%~dp0"

echo.
echo Making backup, see the "/backup/" folder (you can install it from a flash drive, as you do it with the official update)
echo.
call "adb\05 make Backup And pull it - adb rm updateGEL, sh buildGEL, pull.bat"
echo.

cd "%~dp0"

echo.
rem Download your key for the rgtoolMod.go
call "adb\02 adb pull key.bat"

cd "%~dp0"

echo.
echo go run rgtoolMod.go
go.exe run "hdo-tools-master\rgtoolMod.go" Key.data %scopeID% %formatCmd% %options%

echo.
echo.
echo Please, send generated %formatCmd% commands to the scope via the SCPI interface, and press any key to check for the new *.lic files.
echo Options are installed without scope reboot.

start "SCPI tab" http://%IpAddress%/scpi.html

pause

cd "%~dp0"
echo.
echo Here you can find all *.lic files of options already installed:
call "adb\04 list rigol-data dir.bat"
echo.

pause

rem All options listed in the firmware V1.01:

rem OPT_AERO OPT_ARINC OPT_AUDIO OPT_AUTO OPT_BND 
rem OPT_BODE OPT_BW10T20 OPT_BW15T25 OPT_BW2T4 OPT_BW2T8 OPT_BW4T8 OPT_BW7T10 OPT_BW7T15 OPT_BW7T20 
rem OPT_CM_ENET OPT_CM_HDMI OPT_CM_MIPI OPT_CM_USB 
rem OPT_COMP OPT_COUNT OPT_DG OPT_EMBD OPT_EYE OPT_FLEX OPT_JITTER OPT_MSO OPT_PWR OPT_RLU OPT_RTSA OPT_UNKNOWN OPT_UPA
